<?php

	require_once "../system/BlogDB.php";

	$config = parse_ini_file("../system/setting.ini");

	$db = new BlogDB($config['db_path']);

	// データベース存在確認
	if (!$db->existDB()) {

		print "<!DOCTYPE html>\r\n";
		print '<html lang="ja">' . "\r\n";
		print "<head>\r\n";
		print '<meta http-equiv="Content-Type" content="text/html; charset=utf-8">' . "\r\n";
		print "</head>\r\n";
		print "<body>\r\n";

		print "<p>データベースがありません。</p>\r\n";

		print '<p><form action="db_admin.php" method="post"><input type="hidden" name="mode" value="dbinit"><input type="submit" value="データベース新規作成"></form></p>' . "\r\n";

		print "</body>\r\n";
		print "</html>\r\n";

		exit;

	}

	// 管理トップ画面テンプレート読み込み
	$html = file_get_contents('index.template');

	$articles = $db->getArticleList();
	$article_list = '<p>記事件数:' . $articles["itemNum"] . '</p>' . "\r\n";

	$article_list .= '<table>' . "\n";

	// 記事一覧表示用文字列作成
	if ($articles["itemList"]) {
		foreach ($articles["itemList"] as $article) {

			$article_list .= '<tr><td>' . $article["id"] . ':<a href="article_edit.php?mode=edit&id=' . $article["id"] . '">' . $article["title"] . '</a></td><td><form action="article_delete.php" method="post"><input type="hidden" name="id" value="' . $article["id"] . '"><input type="submit" value="削除"></form></td></tr>' . "\r\n";

		}
	}

	$article_list .= '</table>' . "\r\n";

	$html = str_replace('<:article_list:>', $article_list, $html);
	$html = str_replace('<:blog_url:>', $config['blog_url'], $html);

	print $html;

?>
